@import './../../../assets/vars.scss';

.content {
    width: 100%;
    height: 100%;
    display: flex;
    background-image: url('/assets/images/bg.jpg');
    background-size: cover;
    background-position: left;
    background-repeat: no-repeat;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    & > form {
        width: 80%;
        background-color: rgba($color: #e2e2e2, $alpha: .6);
        border-radius: 10px;
        display: flex;
        flex-direction: column;
        margin: 24px auto;
        & h2 {
            padding: 12px;
            text-align: center;
        }
        & > .formControl {
            height: 80px;
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            padding: 8px 12px;
        }

        & button {
            height: 40px;
            border: none;
            margin-top: 8px;
            color: white;
            background-color: $primary-button;
        }

        & button:disabled {
            color: gray;
            background-color: $primary-disabled-button;
        }
    }

    & .errorMessage {
        width: 100%;
        background-color: $error-color;
        border-radius: 8px;
        padding: 8px 12px;
        color: white;
        text-align: center;
    }
    & .errorList {
        width: 80%;
        height: 100px;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        padding: 8px;
    }
}

@media (min-width: 481px) {
    .content {
        & form {
            border: 1px solid silver;
            box-shadow: 2px 3px 6px rgba($color: #e2e2e2, $alpha: .6);
        }
        & .errorList, & form {
            width: 350px;
        }
    }
}